org.apache.xerces.impl.xs.identity

## Class UniqueOrKey

- java.lang.Object
- - org.apache.xerces.impl.xs.identity.IdentityConstraint
  - - org.apache.xerces.impl.xs.identity.UniqueOrKey

- All Implemented Interfaces:
    org.apache.xerces.xs.XSIDCDefinition, org.apache.xerces.xs.XSObject

      public class UniqueOrKey
      extends IdentityConstraint

  Schema unique or key identity constraint. These two kinds of identity constraint have been combined to save the creation of a separate Vector object for any element that has both. A short int is used to distinguish which this object is.
  Version:
    $Id: UniqueOrKey.java 730488 2008-12-31 21:58:19Z knoaman $
  Author:
    Andy Clark, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint

      `fAnnotations, fFieldCount, fFields, fIdentityConstraintName, fNamespace, fNumAnnotations, fSelector, type`

    - ### Fields inherited from interface org.apache.xerces.xs.XSIDCDefinition

      `IC_KEY, IC_KEYREF, IC_UNIQUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniqueOrKey(java.lang.String namespace, java.lang.String identityConstraintName, short type)` Constructs a unique or a key identity constraint.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint

      `addAnnotation, addField, equals, getAnnotations, getCategory, getFieldAt, getFieldCount, getFieldStrs, getIdentityConstraintName, getName, getNamespace, getNamespaceItem, getRefKey, getSelector, getSelectorStr, getType, setSelector, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UniqueOrKey

          public UniqueOrKey(java.lang.String namespace,
                     java.lang.String identityConstraintName,
                     short type)

      Constructs a unique or a key identity constraint.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.